%plotdimensions.m
d=3.75;         %mm
Uj=296;         %m/s
Tj=298;         %K
Red=10000;
xi_st=0.0285;
L=180*d;        %mm

M11=xlsread('SANDH2_A\he0x11','a5:q11');
M12=xlsread('SANDH2_A\he0x12','a5:q17');
M14=xlsread('SANDH2_A\he0x14','a5:q15');
M18=xlsread('SANDH2_A\he0x18','a5:q14');
M34=xlsread('SANDH2_A\he0x34','a5:q15');
M38=xlsread('SANDH2_A\he0x38','a5:q17');
M58=xlsread('SANDH2_A\he0x58','a5:q18');
Max=xlsread('SANDH2_A\he0axial','a5:q11');


r11=M11(:,1);
r12=M12(:,1);
r14=M14(:,1);
r18=M18(:,1);
r34=M34(:,1);
r38=M38(:,1);
r58=M58(:,1);

flamewidth=zeros(7,14);
% 
 flamewidth(1,1:length(r18))=r18;
 flamewidth(2,1:length(r14))=r14;
 flamewidth(3,1:length(r38))=r38;
 flamewidth(4,1:length(r12))=r12;
 flamewidth(5,1:length(r58))=r58;
 flamewidth(6,1:length(r34))=r34;
 flamewidth(7,1:length(r11))=r11;
%     
% 
x=[1/8 1/4 3/8 1/2 5/8 3/4 1];

xi11=M11(:,2);
xi12=M12(:,2);
xi14=M14(:,2);
xi18=M18(:,2);
xi34=M34(:,2);
xi38=M38(:,2);
xi58=M58(:,2);

xi=zeros(7,14);
xi(1,1:length(xi18))=xi18;
xi(2,1:length(xi14))=xi14;
xi(3,1:length(xi38))=xi38;
xi(4,1:length(xi12))=xi12;
xi(5,1:length(xi58))=xi58;
xi(6,1:length(xi34))=xi34;
xi(7,1:length(xi11))=xi11;
% xi_max=[max(xi18) max(xi14) max(xi38) max(xi12) max(xi58) max(xi34) max(xi11)]; 
% xi_min=[min(xi18) min(xi14) min(xi38) min(xi12) min(xi58) min(xi34) min(xi11)];
[R2,X2,xi2]=mirror3(flamewidth,X,xi);

T11=M11(:,4);
T12=M12(:,4);
T14=M14(:,4);
T18=M18(:,4);
T34=M34(:,4);
T38=M38(:,4);
T58=M58(:,4);

T=zeros(7,14);
T(1,1:length(T18))=T18;
T(2,1:length(T14))=T14;
T(3,1:length(T38))=T38;
T(4,1:length(T12))=T12;
T(5,1:length(T58))=T58;
T(6,1:length(T34))=T34;
T(7,1:length(T11))=T11;

load ('Results\curvefitdimchem 1206.txt');
load ('Results\curvefitdimheat 1206.txt');
load ('Results\curvefitdimmass 1206.txt');

sig_mass=curvefitdimmass_1206;
sig_heat=curvefitdimheat_1206;
sig_chem=curvefitdimchem_1206;

X=zeros(7,14);
for i=1:length(x) 
    X(i,:)=x(i)*L;
end

[R2,X2,T2]=mirror3(flamewidth,X,T);
%R2(:,1:14)=-1*R2(:,1:14);


figure(1)
surface(flamewidth,X,T)
view(2)
daspect([1 1 1])
xlabel('r [mm]')
ylabel('x [mm]')
title('Temperature in K')
shading interp
lighting phong
colorbar

figure(2)
surface(R2,X2,T2)
view(2)
daspect([1 1 1])
xlabel('r [mm]')
ylabel('x [mm]')
title('Temperature profile mirrored over center axis')
shading interp
lighting phong
colorbar

%-------------------------------------------------------------
%Mass fractions
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
YH211=M11(:,10);
YH212=M12(:,10);
YH214=M14(:,10);
YH218=M18(:,10);
YH234=M34(:,10);
YH238=M38(:,10);
YH258=M58(:,10);

YH2=zeros(7,14);
YH2(1,1:length(YH218))=YH218;
YH2(2,1:length(YH214))=YH214;
YH2(3,1:length(YH238))=YH238;
YH2(4,1:length(YH212))=YH212;
YH2(5,1:length(YH258))=YH258;
YH2(6,1:length(YH234))=YH234;
YH2(7,1:length(YH211))=YH211;

[R2,X2,YH22]=mirror3(flamewidth,X,YH2);

figure(3)
surface(R2,X2,YH22)
view(2)
daspect([1 1 1])
xlabel('r [mm]')
ylabel('x [mm]')
title('Mass fraction of H2')
shading interp
lighting phong
colorbar
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
YO211=M11(:,6);
YO212=M12(:,6);
YO214=M14(:,6);
YO218=M18(:,6);
YO234=M34(:,6);
YO238=M38(:,6);
YO258=M58(:,6);

YO2=zeros(7,14);
YO2(1,1:length(YO218))=YO218;
YO2(2,1:length(YO214))=YO214;
YO2(3,1:length(YO238))=YO238;
YO2(4,1:length(YO212))=YO212;
YO2(5,1:length(YO258))=YO258;
YO2(6,1:length(YO234))=YO234;
YO2(7,1:length(YO211))=YO211;

[R2,X2,YO22]=mirror3(flamewidth,X,YO2);

figure(4)
surface(R2,X2,YO22)
view(2)
daspect([1 1 1])
xlabel('r [mm]')
ylabel('x [mm]')
title('Mass fraction of O2')
shading interp
lighting phong
colorbar

%%%%%%%%%%%%%%%%%%%%%%%
YOH11=M11(:,14);
YOH12=M12(:,14);
YOH14=M14(:,14);
YOH18=M18(:,14);
YOH34=M34(:,14);
YOH38=M38(:,14);
YOH58=M58(:,14);

YOH=zeros(7,14);
YOH(1,1:length(YOH18))=YOH18;
YOH(2,1:length(YOH14))=YOH14;
YOH(3,1:length(YOH38))=YOH38;
YOH(4,1:length(YOH12))=YOH12;
YOH(5,1:length(YOH58))=YOH58;
YOH(6,1:length(YOH34))=YOH34;
YOH(7,1:length(YOH11))=YOH11;
[R2,X2,YOH2]=mirror3(flamewidth,X,YOH);

figure(5)
surface(R2,X2,YOH2)
view(2)
daspect([1 1 1])
xlabel('r [mm]')
ylabel('x [mm]')
title('Mass fraction of OH')
shading interp
lighting phong
colorbar
%%%%%%%%%%%%%%%%%%%%%%%%%%%%
YNO11=M11(:,16);
YNO12=M12(:,16);
YNO14=M14(:,16);
YNO18=M18(:,16);
YNO34=M34(:,16);
YNO38=M38(:,16);
YNO58=M58(:,16);

YNO=zeros(7,14);
YNO(1,1:length(YNO18))=YNO18;
YNO(2,1:length(YNO14))=YNO14;
YNO(3,1:length(YNO38))=YNO38;
YNO(4,1:length(YNO12))=YNO12;
YNO(5,1:length(YNO58))=YNO58;
YNO(6,1:length(YNO34))=YNO34;
YNO(7,1:length(YNO11))=YNO11;

[R2,X2,YNO2]=mirror3(flamewidth,X,YNO);

figure(6)
surface(R2,X2,YNO2)
view(2)
daspect([1 1 1])
xlabel('r [mm]')
ylabel('x [mm]')
title('Mass fraction of NO')
shading interp
lighting phong
colorbar

YH2O11=M11(:,12);
YH2O12=M12(:,12);
YH2O14=M14(:,12);
YH2O18=M18(:,12);
YH2O34=M34(:,12);
YH2O38=M38(:,12);
YH2O58=M58(:,12);

YH2O=zeros(7,14);
YH2O(1,1:length(YH2O18))=YH2O18;
YH2O(2,1:length(YH2O14))=YH2O14;
YH2O(3,1:length(YH2O38))=YH2O38;
YH2O(4,1:length(YH2O12))=YH2O12;
YH2O(5,1:length(YH2O58))=YH2O58;
YH2O(6,1:length(YH2O34))=YH2O34;
YH2O(7,1:length(YH2O11))=YH2O11;

[R2,X2,YH2O2]=mirror3(flamewidth,X,YH2O);

figure(7)
surface(R2,X2,YH2O2)
view(2)
daspect([1 1 1])
xlabel('r [mm]')
ylabel('x [mm]')
title('Mass fraction of H2O')
shading interp
lighting phong
colorbar

YN211=M11(:,8);
YN212=M12(:,8);
YN214=M14(:,8);
YN218=M18(:,8);
YN234=M34(:,8);
YN238=M38(:,8);
YN258=M58(:,8);

YN2=zeros(7,14);
YN2(1,1:length(YN218))=YN218;
YN2(2,1:length(YN214))=YN214;
YN2(3,1:length(YN238))=YN238;
YN2(4,1:length(YN212))=YN212;
YN2(5,1:length(YN258))=YN258;
YN2(6,1:length(YN234))=YN234;
YN2(7,1:length(YN211))=YN211;

[R2,X2,YN22]=mirror3(flamewidth,X,YN2);

figure(8)
surface(R2,X2,YN22)
view(2)
daspect([1 1 1])
xlabel('r [mm]')
ylabel('x [mm]')
title('Mass fraction of N2')
shading interp
lighting phong
colorbar

% figure(7)
% hold on
% for i=1:length(x)
%     plot(xi(i,:),YH2(i,:));
% end
% hold off
% title('YH2(xi) at different distances from the fuel outlet')
% xlabel('xi');
% ylabel('YH2');
% 
% figure(8)
% hold on
% for i=1:length(x)
%     plot(xi(i,:),YO2(i,:));
% end
% hold off
% title('YO2(r) at different distances from the fuel outlet')
% xlabel('xi');
% ylabel('YO2');

% heat=fastchemheat;
% count=0;
% bigM=zeros(79,5);

% for i=1:length(x)
%     n=1;
%     while n<length(flamewidth)+1 && flamewidth(i,n)~=0 || n==1
%         count=count+1;
%         
%         bigM(count,1)=x(i);
%         bigM(count,2)=flamewidth(i,n);
%         bigM(count,3)=xi(i,n);
%         bigM(count,4)=heat(i,n);
%         
%         n=n+1;
%     end
% end
