%plotentropy.m
d=3.75;         %mm
Uj=296;         %m/s
Tj=298;         %K
Red=10000;
xi_st=0.0285;
L=180*d;        %mm

M11=xlsread('SANDH2_A\he0x11','a5:q11');
M12=xlsread('SANDH2_A\he0x12','a5:q17');
M14=xlsread('SANDH2_A\he0x14','a5:q15');
M18=xlsread('SANDH2_A\he0x18','a5:q14');
M34=xlsread('SANDH2_A\he0x34','a5:q15');
M38=xlsread('SANDH2_A\he0x38','a5:q17');
M58=xlsread('SANDH2_A\he0x58','a5:q18');
Max=xlsread('SANDH2_A\he0axial','a5:q11');


r11=M11(:,1);
r12=M12(:,1);
r14=M14(:,1);
r18=M18(:,1);
r34=M34(:,1);
r38=M38(:,1);
r58=M58(:,1);


R=zeros(7,14);
% 
 R(1,1:length(r18))=r18;
 R(2,1:length(r14))=r14;
 R(3,1:length(r38))=r38;
 R(4,1:length(r12))=r12;
 R(5,1:length(r58))=r58;
 R(6,1:length(r34))=r34;
 R(7,1:length(r11))=r11;
%     
% 
x=[1/8 1/4 3/8 1/2 5/8 3/4 1];

load ('Results\fastchemchem final.txt');
load ('Results\fastchemheat final.txt');
load ('Results\fastchemmass final.txt');

sig_mass=fastchemmass_final;
sig_heat=fastchemheat_final;
sig_chem=fastchemchem_final;

% load ('Results\curvefitdimchem final.txt');
% load ('Results\curvefitdimheat final.txt');
% load ('Results\curvefitdimmass final.txt');
% 
% sig_mass=curvefitdimmass_final;
% sig_heat=curvefitdimheat_final;
% sig_chem=curvefitdimchem_final;

sig_sum=sig_mass+sig_heat+sig_chem;

X=zeros(7,14);
for i=1:length(x) 
    X(i,:)=x(i)*L;
end

%Routine for using the method of cylindrical shells

N=[10 11 13 13 14 11 7];
xvector=x*L*1e-3;

chem_sum=sumentropy(sig_chem,xvector,R*1e-3,N)
mass_sum=sumentropy(sig_mass,xvector,R*1e-3,N)
heat_sum=sumentropy(sig_heat,xvector,R*1e-3,N)
sum_sum=sumentropy(sig_sum,xvector,R*1e-3,N)
check_sum=chem_sum+mass_sum+heat_sum

[Rchem,Xchem,sigchem2]=mirror3(R,X,sig_chem);

figure(7)
surface(Rchem,Xchem,sigchem2)
view(2)
daspect([1 1 1])
xlabel('r [mm]')
ylabel('x [mm]')
title('Entropy production from chemical reaction in W/K*m^3')
shading interp
lighting phong
colorbar

[Rmass,Xmass,sigmass2]=mirror3(R,X,sig_mass);

figure(8)
surface(Rmass,Xmass,sigmass2)
view(2)
daspect([1 1 1])
xlabel('r [mm]')
ylabel('x [mm]')
title('Entropy production from mass transfer in W/K*m^3')
shading interp
lighting phong
colorbar

[Rheat,Xheat,sigheat2]=mirror3(R,X,sig_heat);

figure(9)
surface(Rheat,Xheat,sigheat2)
view(2)
daspect([1 1 1])
xlabel('r [mm]')
ylabel('x [mm]')
title('Entropy production from heat transfer in W/K*m^3')
shading interp
lighting phong
colorbar

[Rsum,Xsum,sigsum2]=mirror3(R,X,sig_sum);
figure(10)
surface(Rsum,Xsum,sigsum2)
view(2)
daspect([1 1 1])
xlabel('r [mm]')
ylabel('x [mm]')
title('Sum of entropy production in W/K*m^3')
shading interp
lighting phong
colorbar

figure(11)
plot(x*L,chem_sum,'d',x*L,mass_sum,'s',x*L,heat_sum,'+',x*L,sum_sum);
legend('(S_{gen})_{chem}', '(S_{gen})_{mass}', '(S_{gen})_{heat}', 'Sum')
xlabel('x [mm]');
ylabel('Entropy production rate W/K');
title('Axial profile of entropy generation')
