%plotvelocity.m
d=3.75;         %mm
Uj=296;         %m/s
Tj=298;         %K
Red=10000;
xi_st=0.0285;
L=180*d;        %mm

M11=load('ETHZ_H2\11.txt');
M12=load('ETHZ_H2\12.txt');
M14=load('ETHZ_H2\14.txt');
M18=load('ETHZ_H2\18.txt');
M34=load('ETHZ_H2\34.txt');
M38=load('ETHZ_H2\38.txt');
M16=load('ETHZ_H2\16.txt');

pos=[1/16 1/8 1/4 3/8 1/2 3/4 1];

r11=M11(:,2);
r12=M12(:,2);
r14=M14(:,2);
r18=M18(:,2);
r34=M34(:,2);
r38=M38(:,2);
r16=M16(:,2);

R=zeros(7,43);
 R(1,1:length(r16))=r16;
 R(2,1:length(r18))=r18;
 R(3,1:length(r14))=r14;
 R(4,1:length(r38))=r38;
 R(5,1:length(r12))=r12;
 R(6,1:length(r34))=r34;
 R(7,1:length(r11))=r11;


u11=M11(:,5);
u12=M12(:,5);
u14=M14(:,5);
u18=M18(:,5);
u34=M34(:,5);
u38=M38(:,5);
u16=M16(:,5);

U=zeros(7,43);

 U(1,1:length(u16))=u16;
 U(2,1:length(u18))=u18;
 U(3,1:length(u14))=u14;
 U(4,1:length(u38))=u38;
 U(5,1:length(u12))=u12;
 U(6,1:length(u34))=u34;
 U(7,1:length(u11))=u11;
 
k11=M11(:,11);
k12=M12(:,11);
k14=M14(:,11);
k18=M18(:,11);
k34=M34(:,11);
k38=M38(:,11);
k16=M16(:,11);
 
K=zeros(7,43);
 
 K(1,1:length(k16))=k16;
 K(2,1:length(k18))=k18;
 K(3,1:length(k14))=k14;
 K(4,1:length(k38))=k38;
 K(5,1:length(k12))=k12;
 K(6,1:length(k34))=k34;
 K(7,1:length(k11))=k11;
 

 X=zeros(7,43);
for i=1:length(pos) 
    X(i,:)=pos(i)*L;
end
%[R2,X2,U2]=mirror3(R,X,U);

figure(1)
surface(R,X,U)
view(2)
daspect([1 1 1])
xlabel('r [mm]')
ylabel('x [mm]')
title('Velocity in x-direction')
shading interp
lighting phong
colorbar

figure(2)
hold on
for i=1:length(pos)
    plot(R(i,:),U(i,:));
end
hold off
title('velocity profiles at different distances from the fuel outlet')

figure(3)
surface(R,X,K)
view(2)
daspect([1 1 1])
xlabel('r [mm]')
ylabel('x [mm]')
title('Turbulent kinetic energy k [m^2/s^2]')
shading interp
lighting phong
colorbar

    

% uRMS=M(:,6);
% v=M(:,7);
% vRMS=M(:,8);
% w=M(:,9);
% wRMS=M(:,10);
% k=M(:,11);