function sum=sumentropy(sig,x,R,N)
%For every step in the axial direction, x, sum all the cells from 0 to
%r_max of the flame. Output is a vector including the sum of the entropy
%production at every axial point x from the fuel outlet.
%R(i,j) is considered to be the center of every cell (x,r) in the flat
%plane.

S_sum=zeros(length(x),1);
    for i=1:length(x)
        if i==1
            dx=x(1);
        else
            dx=x(i)-x(i-1);
        end
        
        for j=1:N(i)
            if j==1
                dr=0.5*(R(i,j+1)-R(i,j));
            else
                dr=R(i,j)-R(i,j-1);
            end
            S_sum(i)=S_sum(i)+2*pi*R(i,j)*sig(i,j)*dr*dx;
        end
    end
    sum=S_sum;
end